This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 36682 - Add library reference wizard panel hook
Summary: Add library reference wizard panel hook
Status: CLOSED WONTFIX
Alias: None
Product: projects
Classification: Unclassified
Component: Libraries (show other bugs)
Version: 3.x
Hardware: All All
: P3 blocker (vote)
Assignee: issues@projects
URL:
Keywords: API
Depends on:
Blocks: 23798
  Show dependency tree
 
Reported: 2003-10-20 09:53 UTC by _ pkuzel
Modified: 2003-12-11 14:25 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ pkuzel 2003-10-20 09:53:04 UTC
There is interest to be able to plugin custom
component to library reference wizard allowing to
ask user additonal project specifics information
(e.g. for java module default target classpath).

It pushes on exporting the reference wizard
contact as a kind of folder based wizard or so.

It may be invalidated by of new UI spec proposed
approach.
Comment 1 _ pkuzel 2003-10-20 10:00:04 UTC
The wizard could be constructed from
SFS:/Wizards/LibraryReference/${library_type} content.
Comment 2 Vitezslav Stejskal 2003-11-26 14:41:58 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.
Comment 3 Vitezslav Stejskal 2003-11-26 14:57:09 UTC
--> VERIFIED